# Interface T8QuantitySet<TUnit>

Represents a quantity set containing element quantities. Quantity sets define measurable quantities for building elements (e.g., area, volume, length).

#### Example

    const quantitySet: T8QuantitySet<T8Unit> = {
        name: "Qto_WallBaseQuantities",
        quantities: {
            "Length": { value: 5.0, type: "IfcLengthMeasure", unit: meters },
            "Area": { value: 15.0, type: "IfcAreaMeasure", unit: squareMeters }
        }
    };

interface T8QuantitySet<TUnit> {
name: string;
quantities: Record<string, T8Quantity<TUnit>>;
}

#### Type Parameters

- TUnit

  The type used to represent units of measurement

##### Index

### Properties

name
quantities

## Properties

### name

name: string

The name of the quantity set

### quantities

quantities: Record<string, T8Quantity<TUnit>>

Collection of quantities in this set, keyed by quantity name